Retrieve a credit memo
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
The minor API version.
For a list of available minor versions, see API upgrades.
Query parameters
The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.
A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.
A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.
A case-insensitive filter on the list.
A case-insensitive query parameter that allows you to specify which fields are returned in the response.
Specifies whether to include fields with the null value in the response.
- If set to
true, all fields will be returned in the response, including those with thenullvalue. - If set to
false, only fields with non-null values will be returned.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
Response
The ID of the bill-to contact associated with the credit memo.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
The ID of the bill-to contact snapshot associated with the credit memo.
The value of this field is null if the bill rule Preserve snapshot of bill-to and sold-to contacts when billing documents are posted is disabled.
The date and time when the credit memo was cancelled, in yyyy-mm-dd hh:mm:ss format.
The currency of the credit memo.
Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency.
The error code returned when the e-invoice file status is Failed. This code can either be a Zuora-generated error code or one returned by a third-party e-invoicing service provider.
Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled.
The error message returned when the e-invoice file status is Failed. This message can either be a Zuora-generated error message or one returned by a third-party e-invoicing service provider.
Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled.
The ID of the e-invoice file generated for the credit memo.
Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled.
The status of the e-invoice file generation for the credit memo.
-
If e-invoice file generation succeeds, this field is either
GeneratedorSuccess, and both the error code and message are empty, and theeInvoiceFileIdfield stores the ID of the generated e-invoice file. -
If the responses from tax vendors such as Sovos or Avalara are taking too long, this field becomes
RetrieveTimeOut. Once the vendor responds successfully, you can use the ‘Resync E-Invoice Status’ action to update the status automatically. You can view these updates in System Health telemetry. -
If a failure occurs during e-invoice file generation, this field is
Failedand an error code and an error message are returned respectively in theeinvoiceErrorCodeandeinvoiceErrorMessagefields. -
If e-invoice file generation conditionally succeeds, this field is
ConditionalSuccessand an error code and an error message are returned respectively in theeinvoiceErrorCodeandeinvoiceErrorMessagefields. -
If the e-invoice file has been approved by the tax authority, this field is
ApprovedByAuthority. The next status will be eitherSuccessorRejected. -
If the e-invoice file has been rejected by the government, this field is
Rejected. You cannot resend this e-invoice; you must create a new invoice instead.
Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled.
The date of the exchange rate used. The date is in yyyy-mm-dd format.
Corresponds to the value specified in the Provider Exchange Rate Date column in the Import Foreign Exchange Rates template when you uploaded the rates through the Mass Updater.
The date when the credit memo takes effect, in yyyy-mm-dd format.
For example, 2024-01-01.
The date and time when the credit memo was posted, in
yyyy-mm-dd hh:mm:ss format.
Indicates whether this write off operation impacts the revenue. If revenueImpacting = Yes, the deferred revenue accounting code will be automatically selected from the associated invoice
If revenueImpacting = No, users can select an accounting code such as bad-debt expense accounting code for the write off operation.
The ID of the sequence set associated with the credit memo.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
The source of the credit memo.
Possible values:
BillRun: The credit memo is generated by a bill run.API: The credit memo is created by calling the Invoice and collect operation, or by calling the Orders, Order Line Items, or Fulfillments API operations.ApiSubscribe: The credit memo is created by calling the Create subscription and Create account operation.ApiAmend: The credit memo is created by calling the Update subscription operation.AdhocFromPrpc: The credit memo is created from a product rate plan charge through the Zuora UI or by calling the Create a credit memo from a charge operation.AdhocFromInvoice: The credit memo is created from an invoice or created by reversing an invoice. You can create a credit memo from an invoice through the Zuora UI or by calling the Create credit memo from invoice operation. You can create a credit memo by reversing an invoice through the Zuora UI or by calling the Reverse invoice operation.
The ID of the credit memo source.
If a credit memo is generated from a bill run, the value is the
number of the corresponding bill run. Otherwise, the value is
null.
The target date for the credit memo, in yyyy-mm-dd format. For example, 2024-01-01.
The status of tax calculation related to the credit memo.
Note: This field is only applicable to tax calculation by third-party tax engines. Also, the Voided status indicates that the tax transaction is successfully canceled on the tax vendor’s side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor’s side.
The ID of the ship-to contact snapshot associated with the credit memo.
Note: If you have the Flexible Billing Attributes feature
disabled, the value of this field is null.
The ID of the sold-to contact snapshot associated with the credit memo.
Note: If you have the Flexible Billing Attributes feature
disabled, the value of this field is null.